org.apache.cassandra.service

## Class AbstractRowResolver

- java.lang.Object
- - org.apache.cassandra.service.AbstractRowResolver

All Implemented Interfaces:
  IResponseResolver<ReadResponse,Row>

Direct Known Subclasses:
  RowDataResolver, RowDigestResolver

    public abstract class AbstractRowResolver
    extends java.lang.Object
    implements IResponseResolver<ReadResponse,Row>

### Field Summary

Fields
`protected DecoratedKey` `key`
`protected java.lang.String` `keyspaceName`
`protected static org.slf4j.Logger` `logger`
`protected Accumulator<MessageIn<ReadResponse>>` `replies`

### Constructor Summary

Constructors
Constructor and Description
`AbstractRowResolver(java.nio.ByteBuffer key, java.lang.String keyspaceName, int maxResponseCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Iterable<MessageIn<ReadResponse>>` `getMessages()`
`void` `preprocess(MessageIn<ReadResponse> message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.service.IResponseResolver

`getData, isDataPresent, resolve`

### Field Detail

#### logger

    protected static final org.slf4j.Logger logger

#### keyspaceName

    protected final java.lang.String keyspaceName

#### replies

    protected final Accumulator<MessageIn<ReadResponse>> replies

#### key

    protected final DecoratedKey key

### Constructor Detail

#### AbstractRowResolver

    public AbstractRowResolver(java.nio.ByteBuffer key,
                               java.lang.String keyspaceName,
                               int maxResponseCount)

### Method Detail

#### preprocess

    public void preprocess(MessageIn<ReadResponse> message)

Specified by:
  `preprocess` in interface `IResponseResolver<ReadResponse,Row>`

#### getMessages

    public java.lang.Iterable<MessageIn<ReadResponse>> getMessages()

Specified by:
  `getMessages` in interface `IResponseResolver<ReadResponse,Row>`